html {
	scroll-behavior: smooth !important;
}

::-webkit-scrollbar {
	width: 7px !important;
}

::-webkit-scrollbar-track {
	background: #1f3f54 !important;
}

::-webkit-scrollbar-thumb {
	border-bottom-left-radius: 7px;
	border-bottom-right-radius: 7px;
	border-top-left-radius: 0px !important;
	border-top-right-radius: 0px !important;
	/* border-radius: 7px; */
	background-color: #222d32 !important;
	/* background: #0d1214 !important; */
}

/* ::-webkit-scrollbar-track {
	background: #ffab1f !important;
}

::-webkit-scrollbar-thumb {
	border-radius: 7px;
	background: #294a70 !important;
} */


/* new color */
/* background-color: #222d32; */

/* #change-backgroung-icon .input-group .input-group-text,  */

#txt-search-by-product-name{
	border-right: 0px !important;
}

#change-backgroung-icon .input-group .input-group-text {
	background-color: transparent !important;
	border-bottom-right-radius: .25rem !important;
	border-left: 0 !important;
	border-top-right-radius: .25rem;
	color: #777;
	transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out !important;
}



 .modal-header  h1{
	text-align: center !important;
 }
 .modal-header{
	/* align-items: flex-center ; */
	align-items: center !important;
	text-align: center !important;
 }


.name-sur-fontwasone{
	z-index: 10 !important;
	position: relative; 
}

.info-box .info-box-icon {
	-ms-flex-align: center !important;
	font-size: 3.4rem !important;
	-ms-flex-pack: center !important;
}


label {
	font-weight: normal !important;
}

.ui-timepicker-container {
	z-index: 1600 !important; /* Adjust the z-index as needed */
}

.ui-autocomplete {
	z-index: 1600 !important; /* Adjust the z-index as needed */
}

.pointer-events{
	pointer-events: none;
}

.daterangepicker .ranges ul {
	width: 180px !important;
}

.daterangepicker .ranges li.active {
	/* background-color: #294a70 !important; */
	background: #1f3f54 !important;
	color: #fff;
	/* font */
}

.font-weight{
	font-weight: bold !important;
}
/* .font-weight{
	font-weight: bold !important;
} */

.app-search__input {
	background: transparent;
	pointer-events: none;
	color: #FFF;
	cursor: pointer;
	border: 0;
	/* padding: 10px 0px; */
	padding-right: 0px;
	padding-left: 0px;
	border-radius: 2px;
	/* background-color: rgba(255, 255, 255, 0.8);
	-webkit-transition: background-color 0.3s ease;
	transition: background-color 0.3s ease; */
}

.custom-control-input:checked~.custom-control-label::before {
	color: #fff;
	border-color: #1f3f54 !important;
	background-color: #1f3f54 !important;
	box-shadow: none;
}

.custom-switch .custom-control-input:checked~.custom-control-label::after {
	background-color:  #28a745 !important;
	-webkit-transform: translateX(0.75rem);
	transform: translateX(0.75rem);
}

.custom-switch .custom-control-label::after {
	top: calc(0.25rem + 2px);
	left: calc(-2.25rem + 2px);
	width: calc(1rem - 4px);
	height: calc(1rem - 4px);
	background-color: #c00000 !important;
	border-radius: 0.5rem;
	transition: background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out,-webkit-transform .15s ease-in-out;
	transition: transform .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;
	transition: transform .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out,-webkit-transform .15s ease-in-out;
}


/* ::-webkit-scrollbar-thumb:hover {
	background:#ffab1f !important;
} */

.notBlock {
	display: none !important;
}

.form-control-navbar{
	text-transform:uppercase !important; 
	background:#fff !important;
	/* width: 100px !important; */
}

.form-control-navbar option {
	font-weight: normal !important;
	display: block !important;
	min-height: 1.2em !important;
	padding: 0px 2px 1px !important;
	white-space: nowrap !important;
}

/* .card-title {
	margin-bottom: 1rem !important;
 } */
 

/* loading .alternate-class */

#load {
	position: fixed;
	top: 0;
	width: 100%;
	height: 100%;
	display: flex;
	justify-content: center;
	align-items: center;
	background: rgba(254, 254, 255, 0.65);
	z-index: 2000;
	display: none;
}

/* .loader {
	width: 100%;
	height: 100%;
	position: fixed;
	text-indent: 100%;
	background-image: linear-gradient(#294a70 16px, transparent 0),
		linear-gradient(#ffab1f 16px, transparent 0),
		linear-gradient(#ffab1f 16px, transparent 0),
		linear-gradient(#294a70 16px, transparent 0);
	background-repeat: no-repeat;
	background-size: 16px 16px;
	background-position: left top, left bottom, right top, right bottom;
	animation: rotate 1s linear infinite;
	z-index: 2000;
	opacity: 0.6;
}
@keyframes rotate {
	0% {
		width: 64px;
		height: 64px;
		transform: rotate(0deg);
	}
	50% {
		width: 30px;
		height: 30px;
		transform: rotate(180deg);
	}
	100% {
		width: 64px;
		height: 64px;
		transform: rotate(360deg);
	}
} */


.loader {
	width: 48px;
	height: 48px;
	display: inline-block;
	position: relative;
	border: 3px solid;
	border-color:#ffab1f  #0000 #1f3f54 #0000;
	border-radius: 50%;
	box-sizing: border-box;
	animation: 1s rotate linear infinite;
}
.loader:before , .loader:after{
	content: '';
	top: 0;
	left: 0;
	position: absolute;
	border: 10px solid transparent;
	border-bottom-color:#1f3f54;
	transform: translate(-10px, 19px) rotate(-35deg);
 }
.loader:after {
	border-color: #ffab1f  #0000 #0000 #0000 ;
	transform: translate(32px, 3px) rotate(-35deg);
 }
  @keyframes rotate {
	100%{    transform: rotate(360deg)}
 }

/* .loader {
	display: block;
	position: relative;
	height: 32px;
	width: 200px;
	background: #294a70;
	border: 2px solid #294a70;
	color: #ffab1f;
	overflow: hidden;
}
.loader::before {
	content: "";
	background: #ffab1f;
	position: absolute;
	left: 0;
	top: 0;
	width: 0;
	height: 100%;
	animation: loading 10s linear infinite;
}
.loader:after {
	content: "";
	position: absolute;
	left: 0;
	top: 0;
	width: 100%;
	height: 100%;
	text-align: center;
	font-size: 24px;
	line-height: 32px;
	color: #fff;
	mix-blend-mode: difference;
	animation: percentage 10s linear infinite;
}

@keyframes loading {
	0% {
		width: 0;
	}
	100% {
		width: 100%;
	}
}
@keyframes percentage {
	0% {
		content: "0%";
	}
	5% {
		content: "5%";
	}
	10% {
		content: "10%";
	}
	20% {
		content: "20%";
	}
	30% {
		content: "30%";
	}
	40% {
		content: "40%";
	}
	50% {
		content: "50%";
	}
	60% {
		content: "60%";
	}
	70% {
		content: "70%";
	}
	80% {
		content: "80%";
	}
	90% {
		content: "90%";
	}
	95% {
		content: "95%";
	}
	96% {
		content: "96%";
	}
	97% {
		content: "97%";
	}
	98% {
		content: "98%";
	}
	99% {
		content: "99%";
	}
	100% {
		content: "100%";
	}
} */

/* botton datatable */
.dataTables_wrapper .dataTables_paginate .paginate_button {
	box-sizing: border-box;
	display: inline-block;
	min-width: 1.5em;
	padding: 0 !important;
	margin-left: 2px;
	text-align: center;
	text-decoration: none !important;
	cursor: pointer;
	color: inherit !important;
	border: 1px solid #dee2e6;
	border-radius: 2px;
}

table.dataTable tbody th,
table.dataTable tbody td {
	padding: 2px 5px !important;
}

.page-link {
	position: relative;
	display: block;
	padding: 0.5rem 0.75rem;
	margin-left: -1px;
	line-height: 1.25;
	color: #1f3f54 !important;
	background-color: #fff;
	border: 1px solid #dee2e6;
}



.chambre-name {
	display: block;
	margin-top: 0.25rem;
	font-weight: 700;
	font-size: 3.2rem !important;
	color: #1f3f54 !important;
	
}

/* form menu */
.navbar-light .btn-navbar,
.navbar-light .form-control-navbar {
	background-color: #fff;
	/* border:solid 1px #294a70 !important; */
	border: 0 !important;
}



.card-primary.card-outline {
	border-top: 2px solid #1f3f54 !important;
	border-radius: 5px 5px !important;
}

.card-primary.card-outline-tabs > .card-header a.active {
	border-top: 2px solid #1f3f54 !important;
}

/* success: #28a745; */
.card-success.card-outline {
	border-top: 2px solid #28a745 !important;
	border-radius: 5px 5px !important;
}

.card-success.card-outline-tabs > .card-header a.active {
	border-top: 2px solid #28a745 !important;
	border-left: 2px solid #28a745 !important;
}

/* --info: #17a2b8; */
.card-info.card-outline {
	border-top: 2px solid #17a2b8 !important;
	border-radius: 5px 5px !important;
}

.card-info.card-outline-tabs > .card-header a.active {
	border-top: 2px solid #17a2b8 !important;
	border-left: 2px solid #17a2b8 !important;
}

.callout {
	border-radius: 0.25rem;
	box-shadow: 0 1px 1px rgb(0 0 0 / 12%), 0 0 1px rgb(0 0 0 / 24%) !important;
	background-color: #fff;
	border-left: 5px solid #e9ecef;
	margin-bottom: 1rem;
	padding: 1rem;
}

/* .card-primary.card-outline {
	border-top: 3px solid #ffab1f !important;
} */

.card {
	box-shadow: 0 0 1px rgb(0 0 0 / 13%), 0 1px 3px rgb(0 0 0 / 20%) !important;
	margin-bottom: 1rem !important;
}

.widget-user .widget-user-header {
	border-top-left-radius: 0.25rem !important;
	border-top-right-radius: 0.25rem !important;
	height: auto !important;
	padding: 1rem !important;
	text-align: center !important;
	border-bottom: solid #ffab1f 2px;
}

.widget-user .card-footer {
	padding-top: 20px !important;
}

.profile-user-img {
	border: 2px solid #ffab1f !important;
	margin: 0 auto !important;
	padding: 0px !important;
	width: 100px !important;
}

.cardsearch {
	box-shadow: 0 0 0px !important;
	margin-bottom: 0 !important;
}

/* #04091d;*/

.sidebar-dark-primary,
/* .bg-primary, */
.bg-dark {
	background-color: #222d32 !important;
}

/* .btn-primary{
	background: #1f3f54 !important;
} */

.btn-primary, .btn-primary {
	border: 1px solid #1f3f54 !important;
}

.btn-primary:hover {
	background: #1f3f54!important;
}

.bg-primary, .btn-primary{
	background-color: #1f3f54 !important;
}

.icheck-primary>input:first-child:checked+label::before {
	/* background-color: #337ab7;
	border-color: #2e6da4; */

	background-color: #1f3f54 !important;
	border-color: #1f3f54 !important;
}


.brand-link{
	background: #1f3f54 !important;
}

.navbar-dark {
	background-color: #fff !important;
}

.navbar-dark .navbar-nav .nav-link {
	color: #294a70 !important;
	font-weight: 500 !important;
}

.brand-link .brand-image {
	float: left;
	line-height: 0.8;
	margin-left: 0.8rem;
	margin-right: 0.5rem;
	margin-top: -3px;
	max-height: 50px !important;
	width: auto;
}

/* .navbar-dark .navbar-nav .nav-link:hover {
	color: red;
	font-weight: 500;
} */

.text-primary{
	color: #1f3f54 !important;
}

.btn-outline-primary{
	border: 1px solid #1f3f54  !important;
}

.btn-outline-primary:hover{
	border: 1px solid #1f3f54  !important;
	background-color: transparent !important;
}

.nav-treeview > .nav-item > .nav-link.active {
	background-color: #0d1214 !important;
	color: #fff !important;
	font-weight: 500;
	border-radius: 0%;
	border-left: 0px !important;
	box-shadow: none !important;
}

.nav-item > .nav-link.active {
	border-left: 3px solid #1f3f54 !important;
	background-color: #0d1214 !important;
	color: #fff !important;
	font-weight: 500;
	border-radius: 0%;
	box-shadow: none !important;
}

.nav-treeview > .nav-item > .nav-link.active > i {
	color: #fff !important;
}

.sidebar {
	padding-left: 0% !important;
	padding-right: 0% !important;
}

[class*="sidebar-dark-"] .nav-sidebar > .nav-item.menu-open > .nav-link,
[class*="sidebar-dark-"] .nav-sidebar > .nav-item:hover > .nav-link,
[class*="sidebar-dark-"] .nav-sidebar > .nav-item > .nav-link:focus {
	border-left: 3px solid #1f3f54;
	border-radius: 0%;
	background-color: #0d1214 !important;
	color: white !important;
}

/* .nav-sidebar>li>.menu-open>a>.active {
	border-left: 3px solid #ffab1f;
} */

.alternate-class {
	display: none;
}




/* .navbar {
	border-bottom: 1px solid #ffab1f;
} */

.brand-link {
	border-bottom: 0px !important;
}

/* .main-sidebar {
	border-right: 1px solid #ffab1f;
} */

.dropdown-menu {
	margin-top: 8px;
}

.dropdown-menu {
	border-bottom: 1px solid #1f3f54 !important;
	border-left: 1px solid #1f3f54 !important;
	border-right: 1px solid #1f3f54 !important;
	border-top: 1px solid #0d1214 !important;
}

h1,
h2,
h3 {
	font-weight: 400 !important;
}



.page-item.active .page-link {
	z-index: 3;
	color: #fff !important;
	background-color: #1f3f54;
	border-color: #1f3f54;
}

@media screen and (max-width: 768px) {
	.dt-buttons {
		position: relative !important;
	}
	.hidden-sm {
		display: none !important;
	}
	.badges_cardi {
		min-width: 370px !important;
	}
	/*.dataTables_info {
		 position: relative !important;
	}*/
}

@media screen and (max-width: 520px) {
	.dataTables_info {
		position: relative !important;
	}
}



.status-available {
	background-color: #00cc00 !important; /* Vert */
	color: #ffffff !important; /* Texte en blanc pour contraste */
 }

 .status-reserved {
	background-color: #0000ff !important; /* Bleu */
	color: #ffffff !important;
 }

 .status-occupied {
	background-color: #ff0000 !important; /* Rouge */
	color: #ffffff !important;
 }

 .status-maintenance {
	background-color: #ffcc00 !important; /* Jaune ou orange */
	color: #000000 !important; /* Texte en noir pour contraste */
 }

 .status-checkout-pending {
	background-color: #ffff99 !important; /* Jaune clair */
	color: #000000 !important;
 }

 .status-waiting-cleaning {
	background-color: #343a40 !important; /* Rose ou violet */
	color: #fff !important;
 }

 .status-cleaning-now{
	background-color: #ffcc00 !important; /* Jaune ou orange */
	color: #000000 !important; /* Texte en noir pour contraste */
 }

 .status-out-of-service {
	background-color: #808080 !important; /* Gris */
	color: #ffffff !important;
 }

 .status-cancelled-reservation {
	background-color: #333333 !important; /* Gris foncé */
	color: #ffffff !important;
	text-decoration: line-through !important; /* Pour indiquer une annulation */
 }

 .status-blocked {
	background-color: #8b4513 !important; /* Marron ou autre couleur distinctive */
	color: #ffffff !important;
 }

 .status-to-be-checked {
	background-color: #ff6666 !important; /* Rouge clair ou une couleur d'avertissement */
	color: #000000 !important;
 }
 

 .scrollable-container-facture {
	min-height: 120px !important; /* Set a maximum height for the container */
	overflow-y: auto !important; /* Enable vertical scroll */
 }

 .scrollable-container-achat{
	min-height: 620px !important; /* Set a maximum height for the container */
	overflow-y: auto !important; /* Enable vertical scroll */
 }

 @media screen and (max-width: 768px) {
	.scrollable-container-achat{
		min-height: 245px !important; /* Set a maximum height for the container */
		overflow-y: auto !important; /* Enable vertical scroll */
	 }
}

 .scrollable-container-pos {
	min-height: 560px !important; /* Set a maximum height for the container */
	overflow-y: auto !important; /* Enable vertical scroll */
 }

 @media screen and (max-width: 768px) {
	.scrollable-container-pos {
		min-height: 195px !important; /* Set a maximum height for the container */
		overflow-y: auto !important; /* Enable vertical scroll */
	 }
}

.direct-chat-messages {
	-webkit-transform: translate(0, 0) !important;
	transform: translate(0, 0) !important;
	height: 560px !important;
	overflow: auto !important;
	padding: 10px;
 }

 .direct-chat-view {
	-webkit-transform: translate(0, 0) !important;
	transform: translate(0, 0) !important;
	height: 580px !important;
	overflow: auto !important;
	padding: 10px;
 }

  .direct-chat-achat {
	-webkit-transform: translate(0, 0) !important;
	transform: translate(0, 0) !important;
	height: 600px !important;
	overflow: auto !important;
	padding: 10px;
 }

 .direct-chat-messages-devis {
	-webkit-transform: translate(0, 0) !important;
	transform: translate(0, 0) !important;
	height: 460px !important;
	overflow: auto !important;
	padding: 10px;
 }

 .navbar-badge {
	font-size: .6rem;
	font-weight: 300;
	padding: 2px 4px;
	position: absolute !important;
	right: 2px !important;
	top: 5px !important;
}

.nav-item .caisse-open {
	font-size: .5rem;
	font-weight: 300;
	padding: 2px 4px;
	position: absolute !important;
	right: -10px !important;
	top: 5px !important;
}


.nav-item .total-vente-by-user {
	font-size: .66rem;
	font-weight: 300;
	padding: 2px 4px;
	position: absolute !important;
	right: -14px !important;
	top: 2px !important;
	color: #28a745 !important;
	font-weight: 500 !important;
}

 /* #login-page-bg{
    background:#401d00 url(../adminlte/dist/img/potiwa-bg.jpg) no-repeat fixed left bottom / cover ;
} */

/* #login-page-bg {
    background-color: #401d00;
    background-image: url('../img/potiwa-bg.jpg');
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-position: left bottom;
    background-size: cover;
} */


/* #login-page-bg {
    position: relative;
    background: #401d00 url(../img/potiwa-bg.jpg) no-repeat fixed left bottom / cover;
}

#login-page-bg::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.6); 
} */

#login-page-bg {
    background: 
        /* linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), */
		/* linear-gradient(to top, rgba(9, 1, 30, 0.8), rgba(20, 10, 0, 0.6)),
		 */
		  /* linear-gradient(to top, rgba(9, 1, 30, 0.8), rgba(20, 10, 0, 0.6)); */
		  /* linear-gradient(to top, #09011E, #0A0519 40%, #1E0F00 80%, #FFFFFF); */
        /* #401d00 url(../img/potiwa-bg.jpg) no-repeat fixed left bottom / cover; */
		/* linear-gradient(to right, #09011E, #0A0519 30%, #1E0F00 70%, #FFFFFF); */
		/* linear-gradient(135deg, #09011E 0%, #0A0519 50%, #1E0F00 80%, rgba(255,255,255,0.3) 100%); */

		/* linear-gradient(to bottom, 
            rgba(10,5,25,0.9) 0%, 
            rgba(30,15,0,0.7) 50%, 
            rgba(9,1,30,0.5) 80%, 
            rgba(255,255,255,0.2) 100%); */

			/* linear-gradient(to bottom, #1f3f54, #48718d 50%, #5fa098 80%, #c09783); */
			/* linear-gradient(to right, #1f3f54, #48718d 30%, #5fa098 70%, #c09783); */
			/* linear-gradient(45deg, #1f3f54 0%, #48718d 40%, #5fa098 70%, #c09783 100%); */

			radial-gradient(circle at center, #cccccc 70%, #5fa098 90%, #48718d 100%, #1f3f54 100%);

}
